<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('mail\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if (!isset($_GET['id'])){header("Location: /konts.php?".SID);exit;}
$id=abs(intval($_GET['id']));//спам удаления
$ank=get_user(intval($_GET['id']));
if (!$ank){header("Location: /konts.php?".SID);exit;}


$set['title']='Переписка с '.$ank['nick'];
include_once 'sys/inc/thead.php';
title();

if ($user['add_konts']==2 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");

mysql_query("UPDATE `users_konts` SET `new_msg` = '0' WHERE `id_kont` = '$ank[id]' AND `id_user` = '$user[id]' LIMIT 1");

mysql_query("UPDATE `mail` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'");

if (isset($_POST['msg']) && $ank['id']!=0)
{

if ($user['level']==0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'"), 0)==0)
{

}


$msg=$_POST['msg'];
if($user['balls'] < 150)
{echo '<font color="red">А это для особо непонятливых:</font> <img src="/style/smiles/gy.gif" alt="" class="icon"/> <font color="green">Пока у Вас не будет  150 LM - баллов,писать сообщения другим пользователям Вы не сможете.Баллы Вы можете заработать в чате как проведёте достаточное количество времени на сайте или же ловлей Рыбок,которых после улова меняем в разделе Оглайн игры в игре - Онлайн город</font> <img src="/style/smiles/yy.gif" alt="" class="icon"/>';
include_once 'sys/inc/tfoot.php'; exit;
}
if($user['rating']<15)$msg = strtr($msg, array('B'=>'.', 'b'=>'.', 'C'=>'.', 'c'=>'.', 'D'=>'.', 'd'=>'.', 'F'=>'.', 'f'=>'.', 'G'=>'.', 'g'=>'.', 'H'=>'.', 'h'=>'.', 'I'=>'.', 'i'=>'.', 'J'=>'.', 'j'=>'.', 'K'=>'.', 'k'=>'.', 'L'=>'.', 'l'=>'.', 'M'=>'.', 'm'=>'.', 'N'=>'...', 'n'=>'.', 'O'=>'.', 'o'=>'.', 'P'=>'.', 'p'=>'.', 'Q'=>'.', 'q'=>'.', 'R'=>'.', 'r'=>'.', 'S'=>'.', 's'=>'.', 'T'=>'.', 't'=>'.', 'U'=>'.',
'u'=>'.', 'V'=>'.', 'v'=>'.', 'W'=>'.', 'w'=>'.', 'X'=>'.', 'x'=>'.', 'Y'=>'.', 'y'=>'.', 'КБМ'=>'хуиный', '.ру'=>'насру', 'кбм'=>'срань', 'Кбм'=>'дрочь', 'Z'=>'.', 'z'=>'.')); 
if($user['rating']<15)$msg = strtr($msg, array('.ru'=>'этот сайт  очень клевый и мне здесь нравится!', '.r u'=>'[реклама]', '.net'=>'[реклама]', '.n e t'=>'[реклама]', 'http://'=>'SPAM!!!', '.org'=>'[реклама]', 'ru'=>'SPAM!!!', 'net'=>'[LaFaC.Ru]', 'com'=>'SPAM!!!', 'h2m.ru'=>'SPAM!!!', 'biz'=>'LaFaC.Ru', 'b i z'=>'LaFaC.Ru', 'tk'=>'LaFaC.Ru', 'mobi'=>'LaFaC.Ru', 'in'=>'LaFaC.Ru', 'us'=>'LaFaC.Ru', 'i n'=>'LaFaC.Ru', 'u s'=>'LaFaC.Ru', 'mylovcity'=>'-', 'www'=>'iii', 'wap'=>'LaFaC.Ru', 'kisma'=>'WapTu.ru', '.ру'=>'писюн тебе', '.РУ'=>'писюн тебе', '.Ру'=>'писюн тебе', '.рУ'=>'писюн тебе', '.Р У'=>'писюн тебе', '.Р у'=>'писюн тебе', '.р У'=>'писюн тебе', '.р у'=>'LaFaC.Ru', '.нет'=>'LaFaC.Ru', 'Ru'=>'LaFaC.Ru', 'RU'=>'LaFaC.Ru', 'rU'=>'LaFaC.Ru', 'NET'=>'LaFaC.Ru', 'US'=>'LaFaC.Ru', 'IN'=>'LaFaC.Ru', 'su'=>'LaFaC.Ru', 'SU'=>'LaFaC.Ru', 'info'=>'LaFaC.Ru'));
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>7000)$err[]='Сообщение превышает 7000 символа';
if (strlen2($msg)<2)$err[]='Слишком короткое сообщение';
$sql = mysql_query("SELECT * FROM `blacklist` WHERE `user` = $ank[id] AND `lol` = $user[id];");
if(mysql_num_rows($sql) !=0 AND $user[level] <3){echo "<div class='p_t'>Вы не можете писать пользователю <b>$ank[nick]</b>  Вы в его черном списке !!! <img src='/style/smiles/gy.gif' alt='' class='icon'/><br/>";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_kont` = '$ank[id]' AND `id_user` = '$user[id]' AND `time` > '".($time-60)."'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$user[id]'"), 0)!=0)$err[]='Что бы писать чаще - Вам нужно снять нарушение !';

if (!isset($err) && mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `time` > '".($time-360)."' AND `msg` = '".my_esc($msg)."'"),0)==0)
{

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$ank[id]', '".my_esc($msg)."', '$time')");
//авто ответчик
if($ank['mail_avto']==1){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
{
//здесь ничего просто через else
}
else
{
mysql_query("INSERT INTO `mail` (`id_kont`, `id_user`, `msg`, `time`) values('$user[id]', '$ank[id]', '".$ank['otvet']."', '$time')");
}
}
if ($user['add_konts']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");

mysql_query("UPDATE `users_konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
msg('<img src="img/pismo.png" alt=""/> SmS - ка отправлена <img src="img/pismo.png" alt=""/></a>');
}
}

err();
echo "<table class='post'>\n";
echo "<div class='menu_razd'>";
echo "<a href='/mail.php?id=$ank[id]/".rand(1000,9999)."/'><font color='green'>Обновить</font></a> • \n";
echo "<a href='/smiles/index.php'><font color='green'>Смайлы</font></a> •\n";
echo "<a href='/mailbest.php'><font color='green'>Избр</font></a> •\n";
echo "<a href='/ICQ/index.php'><font color='green'>ICQ</font></a> •\n";
echo "<a href='/mail2/index.php'><font color='green'>E-mail</font></a> •\n";
echo "<a href='/bb-codes.php'><font color='green'>ВВ-коды</font></a> •\n";

echo "<a href='/otvet.php'><font color='green'>Авт-чик</font></a> \n";echo "</div>\n";
echo '</td><td class="textmes">';

if($user['balls']>=0 && $user['balls']<=150)echo "<div class='hello'> Анти-спам система! писать письма Вы сможете после того как наберете 150 WM-баллов,пока что Вы можете только читать письма!Для того что-бы заработать LM-баллы,Вам необходимо впоймать рыбок и обменять их в разделе Онлайн игры в Игре Онлайн-город на баллы сайта.</div>";
if (isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=150 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
///{
//спам
if(isset($_GET['spam']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `id`='".abs(intval($_GET['spam']))."'"),0)!=0 || mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `id`='".abs(intval($_GET['spam']))."'"),0)!=0)
{
if(isset($_GET['ok']))
{
$prich=$_POST['prich'];
if(strlen2($prich)<5)$err[]='Укажите причину';
if(strlen2($prich)>500)$err[]='Причина слишком длинная';
if(!isset($err))
{

$message=mysql_result(mysql_query("SELECT `id_user` FROM `mail` WHERE `id`='".abs(intval($_GET['spam']))."'"),0);
$msg="Пользователь ".$user['nick']." подал жалобу на пользователя ".mysql_result(mysql_query("SELECT `nick` FROM `user` WHERE `id`='".$message."'"),0)." обжалуемый текст - (".mysql_result(mysql_query("SELECT `msg` FROM `mail` WHERE `id`='".abs(intval($_GET['spam']))."'"),0).")
Причина жалобы: $prich";



$q = mysql_query("SELECT * FROM `user` WHERE `level` = '2' OR `level` = '3' OR `level` = '4' ORDER BY `date_last` DESC");

while ($cmpl = mysql_fetch_array($q))
{
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$cmpl[id]','".my_esc($msg)."',  '".time()."')");
}
msg('Сообщение отправлено на расмотрение Администраци');
}
}
else
{
echo "<form method='post' action='mail.php?spam=$_GET[spam]&id=$id&ok'>\n";
echo "<span style='font-size:small;color:darkblue'><b>Причина жалобы</b> (от 5 до 500 знаков)</span><br/><br/><input type='text' name='prich' value=''><br/>\n";
echo "Вы действительно хотите отослать жалобу Адинистрации? Если жалоба по существу,к примеру SPAM !!! в почту,то вы получите от 300 до 1000 LM-баллов. а если жалоба беспричинная-получите предупреждение!!!<br/><input type='submit' value='Да'></form><br/>\n";
}
}
}

echo "<div class='anput'>";echo auto_bb("message","msg");
echo "</div>\n";

echo "</div>\n";

echo "<form method='post' name='message' action='/mail.php?id=$ank[id]&amp;$passgen'>\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<br />\n<textarea name='msg'rows='3' cols='23'></textarea><br />\n";      
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслитизация</label><br />\n";

echo "<input type='submit' value='Отправить' /><br/>\n";
echo "</form>\n";
//echo "</div>\n";
echo "</table>\n";
//}
echo "<table class='post'>\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Переписка пуста\n";
}
$q=mysql_query("SELECT * FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ank2=get_user($post['id_user']);
echo "   <tr>\n";
if($num==1){ 
echo "<div class='linechat'>"; 
$num=0;

}else{ 
echo "<div class='linechat'>";
$num=1;}

if ($ank2)
echo "".online($ank2['id'])." <a href=\"/info.php?id=$ank2[id]\"><span style=\"color:$ank2[ncolor]\">$ank2[nick]</span></a> \n";
if ($ank2['obit']==0)
{
if ($ank2['group_access']>1)echo "<img src='/style/adm.png'>\n";
if($ank2['rating']>=0 && $ank2['rating']<=14)echo " ";
if($ank2['rating']>=15 && $ank2['rating']<=30)echo " <img src='/rating/05.gif'></img> "; 
if($ank2['rating']>=31 && $ank2['rating']<=60)echo " <img src='/rating/medal_bronze.gif'></img> ";
if($ank2['rating']>=61 && $ank2['rating']<=90)echo " <img src='/rating/medal_silver.gif'></img> ";
if($ank2['rating']>=91 && $ank2['rating']<=200)echo " <img src='/rating/medal_gold.gif'></img> ";
if($ank2['rating']>=201 && $ank2['rating']<=500)echo " <img src='/rating/waptu.gif'></img> ";
if($ank2['rating']>=501 && $ank2['rating']<=10000)echo " <img src='/rating/konkurs.gif'></img> ";
if ($ank2['brak']!=NULL)echo "<img src='/style/icons/rings.gif' alt='' class='icon'/> \n";
if ($ank2['braks']!=NULL)echo "<img src='/style/icons/rings.gif' alt='' class='icon'/> \n";
if ($ank2['stran']==0)echo "\n";
if ($ank2['stran']==1)echo "<img src='/style/strana/ru.png'>\n";
if ($ank2['stran']==2)echo "<img src='/style/strana/ua.png'>\n";
if ($ank2['stran']==3)echo "<img src='/style/strana/by.png'>\n";
if ($ank2['stran']==4)echo "<img src='/style/strana/az.png'>\n";
if ($ank2['stran']==5)echo "<img src='/style/strana/kz.png'>\n";
if ($ank2['stran']==6)echo "<img src='/style/strana/uz.png'>\n";
if ($ank2['stran']==7)echo "<img src='/style/strana/england.png'>\n";
if ($ank2['stran']==8)echo "<img src='/style/strana/de.png'>\n";}

//else
//echo "[Удаленный] (+$kont[count])\n";
if (isset($user) && $user['id']==$ank2['id'])
if ($post['read']==1)echo "<font color='#afb0a3'>(прочитано)</font>\n";
echo "<br/>\n";
if ($post['read']==0)echo "<font color='red'>(не прочитано)</font><br />\n";
echo "<span style=\"color:$ank2[mcolor]\">";
echo output_text($post['msg'])."<br />\n";
echo "</span>\n";

echo " <div style='text-align: right;'><font color='red'>".vremja($post['time'])."</font>\n";

echo "<a href=\"/mailbest.php?id=$post[id]\"><img src='/style/icons/izbr.gif' alt='' class='icon'/></a>\n";

echo '<a href="/delete.php?id='.$post[id].'"><img src="/style/icons/delete.gif"></a></div>';
if (isset($user) && $user['id']!=$ank2['id']){
echo "<a href='mail.php?spam=".$post['id']."&amp;id=".$id."'><img src='/img/zhaloba.gif' alt='' class='icon'/></a><br />\n";

}

}
echo "</div>\n";

if ($k_page>1)str("mail.php?id=$ank[id]&amp;",$k_page,$page); // Вывод страниц

if ($ank['id']!=0){
}

echo "<div class='menu_razd'>";
if ($ank['id']!=0)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==1)
{
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
echo "<img src='/style/icons/004.png' alt='' class='icon'/> <a href='/konts.php?type=$kont[type]&amp;act=del&amp;id=$ank[id]'>Удалить контакт из списка</a><br />\n";
}
else
{
echo "<img src='/style/icons/forum1.png' alt='' class='icon'/> <a href='/konts.php?type=common&amp;act=add&amp;id=$ank[id]'>Добавить в список контактов</a><br />\n";
}

echo "<img src='/style/icons/us.png' alt='' class='icon'/>\n";
echo " <a href='/konts.php?".(isset($kont)?'type='.$kont['type']:null)."'>Список контактов</a><br />\n";

}
echo "</table>\n";
include_once 'sys/inc/tfoot.php';
?>